# DNS与WEB服务

### 一、基础认知

1. 什么是DNS

   - DNS：域名解析系统
   - DNS端口 53

2. DNS根据解析内容分类

   - 正向解析：域名 → IP
   - 反向解析：IP → 域名

3. 早期域名解析方法

   > C:\Windows\System32\drivers\etc\hosts(主机名解析文件)

4. 常见顶级域名（一级）

   1. 组织域

      > .edu教育、.gov政府、.com商业、.mil军事、.org民间团体组织、.net网络、.arpa反向域

   2. 国家或地区域

      > .cn中国、.us美国、.ru俄罗斯、.tw中国台湾、.hk香港

5. DNS域名解析从查询方式分类

   - 递归解析
   - 迭代解析

6. 安装与配置DNS服务

   1. 配置网络环境

      ![图片1](https://picgo-noriu.oss-cn-beijing.aliyuncs.com/Images/%E5%9B%BE%E7%89%871.jpg)

   2. Win2019安装DNS

      > 管理-添加角色和功能 → 三个下一步 → 勾选DNS服务器 → 添加功能 → 三个下一步 → 安装

   3. 打开DNS管理器

      - 工具 → DNS
      - 运行 → dnsmgmt.msc

   4. 创建主区域

      > 右击正向查找区域 → 新建区域 → 下一步 → 主要区域 → 下一步 → 输入区域名（例如ntd.com） → 三个下一步 → 完成

   5. 添加正向解析记录

      > 右击ntd.com → 新建主机A → 输入www → 输入IP地址（例如192.168.1.100） → 添加主机
      >
      > 注：DNS资源记录类别（标识）
      >
      > > `A` 正向解析、`PTR` 反向解析、`CNAME` 别名解析 

   6. Win10客户端主机解析测试

      > 确认客户端主机已配置首选DNS服务器地址（本案例首选DNS服务器IP为192.168.1.20）
      >
      > 运行 → cmd
      >
      > nslookup www.ntd.com

### 二、WEB服务

1. Web服务概述

   1. WEB服务器（存放网站的服务器）

   2. http超文本传输协议，端口 80

   3. URL(统一资源定位器)

   4. 常见WEB服务程序

      > Microsoft IIS、Apache Http Server、Nginx

2. 安装IIS

   1. Win2019安装IIS

      > 管理 → 添角色和功能 → 三个下一步 → 勾选Web服务器(IIS) → 添加功能 → 下一步……安装

   2. Win10客户端主机访问Web站点

      - 打开浏览器地址栏输入http://192.168.1.20/

      > Web站点默认主目录（C:\inetpub\wwwroot）

3. 通过IIS发布WEB站点

   1. 将事先做好的网页文件复制到Win2019服务器

      > 复制muban1到Win2019的E盘

   2. 打开IIS

      > 运行 → inetmgr

   3. 禁用默认站点

      > 右击Default Web Site → 管理网站 → 停止

   4. 发布web站点

      > 右击 → 网站 → 添加网站 → 网站名输入muban1 → 物理路径（E:\muban1） → 确定

   5. Win10客户端主机访问Web站点

      > 打开浏览器地址栏输入http://192.168.1.20.

   6. 配置通过域名访问网站

      > 安装DNS
      > 运行 → dnsmgmt.msc
      > 右击正向查询区域 → 新建区域 → 下一步 → 主要区域 → 下一步 → 输入区域名（例如zh.com） → 三个下一步 → 完成
      > 右击zh.com → 新建主机A → 输入www → 输入IP地址192.168.1.20 → 添加主机
      > 配置WIN10客户端主机首选DNS为192.168.1.20
      > WIN10客户端主机打开浏览器地址栏输入http://www.zh.com

